Package com.beust.jcommander.internal

# Class Lists

java.lang.Object
com.beust.jcommander.internal.Lists

public class Lists extends Object

## Constructor Summary

Constructors
Constructor
Description
`Lists()`

## Method Summary

Modifier and Type
Method
Description
`static <K> List<K>`
`newArrayList()`
`static <K> List<K>`
`newArrayList(int size)`
`static <K> List<K>`
`newArrayList(Collection<K> c)`
`static <K> List<K>`
`newArrayList(K... c)`
`static <K> LinkedList<K>`
`newLinkedList()`
`static <K> LinkedList<K>`
`newLinkedList(Collection<K> c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Lists

public Lists()

## Method Details

### newArrayList

public static <K> List<K> newArrayList()

### newArrayList

public static <K> List<K> newArrayList(Collection<K> c)

### newArrayList

public static <K> List<K> newArrayList(K... c)

### newArrayList

public static <K> List<K> newArrayList(int size)

### newLinkedList

public static <K> LinkedList<K> newLinkedList()

### newLinkedList

public static <K> LinkedList<K> newLinkedList(Collection<K> c)